#ifndef  SOFTWARETEST_SEEN
#define  SOFTWARETEST_SEEN
//  Created by Guy Le Meur on 02/08/13.
//  Copyright (c) 2013 Guy Le Meur. All rights reserved.

#include "abstractSoftware.h"

class softwareTest : public abstractSoftware
{

 protected : 

  bool beamToParin(string workingDir, particleBeam* beam );
  bool beamFromParin(string workingDir, vector<bareParticle>& particles );

 public :

    softwareTest();
    
    softwareTest(string inputFileName, sectionToExecute*);

  virtual ~softwareTest() {;}


  virtual bool createInputFile( particleBeam* beamBefore, string workingDir);


  virtual bool  execute(string workingDir);


  virtual bool buildBeamAfterElements(string workingDir);

  inline string getColor() {
      return "#ecc38e";
  }
    
  /* inline string getName() const { */
  /*       return "test"; */
  /*   } */

};
#endif
